%define upstream_name    Hash-AutoHash-Args
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object-oriented processing of argument lists (version 0)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Hash::AutoHash) >= 1.160.0
BuildRequires: perl(Module::Build) >= 0.400.700
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Content)
BuildRequires: perl(Tie::Hash) >= 1.0.0
BuildArch:  noarch

%description
This class simplifies the handling of keyword argument lists. It replaces
the Class::AutoClass::Args manpage. See the DIFFERENCES FROM
Class::AutoClass::Args manpage for a discussion of what's new. See the
Hash::AutoHash::Args::V0 manpage for a subclass which is more compatible

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.180.0-2.mga4
+ Revision: 539481
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 1.180.0-1.mga4
+ Revision: 492184
- update to 1.18

* Fri Jun 07 2013 jquelin <jquelin> 1.170.0-1.mga4
+ Revision: 439400
- update to 1.17

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 368339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 342219
- update to 1.16

* Fri Sep 28 2012 jquelin <jquelin> 1.150.0-2.mga3
+ Revision: 298968
- force update with real 1.15 version
- use versioned %%setup

* Wed Sep 26 2012 jquelin <jquelin> 1.150.0-1.mga3
+ Revision: 298006
- update to 1.15
- update to 1.14-1 (i know, dumbest version scheme ever - sigh)

* Sun Jan 23 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 33849
- mageia rebuild
- imported package perl-Hash-AutoHash-Args

